Bug 244715 - net/nuster: update to 3.2.3.19
Summary: net/nuster: update to 3.2.3.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-10 11:32 UTC by Felix Hanley
Modified: 2020-04-05 06:06 UTC (History)
2 users (show)

See Also:


Attachments
Nuster update patch (1.07 KB, patch)
2020-03-10 11:32 UTC, Felix Hanley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Hanley 2020-03-10 11:32:53 UTC
Created attachment 212300 [details]
Nuster update patch
Comment 1 Automation User 2020-03-10 11:51:45 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/124852570
Comment 2 Michael Muenz 2020-04-02 11:49:57 UTC
Why did you add compiler:c++11-lang to USES? 

I was able to build and install a pkg and also poudriere on amd64/i386 went fine without it.
Comment 3 Felix Hanley 2020-04-04 05:25:29 UTC
I took the USES line from haproxy19 which nuster is based on.
Comment 4 Ben Woods freebsd_committer 2020-04-05 05:47:10 UTC
Committed - thanks!
Comment 5 commit-hook freebsd_committer 2020-04-05 06:06:52 UTC
A commit references this bug:

Author: woodsb02
Date: Sun Apr  5 05:46:02 UTC 2020
New revision: 530746
URL: https://svnweb.freebsd.org/changeset/ports/530746

Log:
  net/nuster: update to 3.2.3.19

  This release is based on haproxy 1.9.14.

  Add USES=compiler:c++11-lang, as was done with net/haproxy port when it
  was upgraded to the 1.9.x branch.

  PR:		244715
  Submitted by:	Felix Hanley <felix@userspace.com.au> (maintainer)

Changes:
  head/net/nuster/Makefile
  head/net/nuster/distinfo
  head/net/nuster/pkg-descr